Bug 998526

Summary: FreeIPA OTP UI
Product: [Fedora] Fedora Reporter: Jaroslav Reznik <jreznik>
Component: Changes TrackingAssignee: Jaroslav Reznik <jreznik>
Status: CLOSED DEFERRED QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: bcotton, dpal, jvillain, mkosek, nathaniel
Target Milestone: ---Keywords: Tracking
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: ChangeAcceptedF20
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1008206 1008207 (view as bug list) Environment:
Last Closed: 2018-08-10 12:21:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1008206, 1008207    

Description Jaroslav Reznik 2013-08-19 13:30:21 UTC
This is a tracking bug for Change: FreeIPA OTP UI
For more details, see: http://fedoraproject.org//wiki/Changes/IPAv3OTPUI

FreeIPA will gain a user interface for managing users' OTP tokens.

Comment 1 Tomas Babej 2013-08-28 14:24:59 UTC
This feature is self-contained and not in a testable state yet. It is planned for FreeIPA 3.4 Beta release which is aligned with the F20 schedule.

Comment 2 Jaroslav Reznik 2013-10-11 08:44:33 UTC
This message is a reminder that Fedora 20 Accepted Changes 100%
Completed Deadline is on 2013-10-15 [1].

All Accepted Changes has to be code complete and ready to be
validated in the Beta release (optionally by Fedora QA). Required
bug state at this point is ON_QA.

As for several System Wide Changes, Beta Change Deadline is a
point of contingency plan, all incomplete Changes will be 
reported to FESCo for 2013-10-16 meeting. In case of any
questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/20/Schedule

Comment 3 Martin Kosek 2013-10-16 10:34:15 UTC
Jaroslav, we decided to postpone a release of FreeIPA 3.4, we do not want to rush the feature when it is not fully ready.

Moving the Bugzilla to rawhide.

Comment 4 Jaroslav Reznik 2013-10-16 11:01:30 UTC
Thank you Martin.

Comment 5 Shawn 2014-06-07 20:24:33 UTC
As this missed F20 and looks like it is going to miss F21 as well, can some one update this ticket with what the resonable time line for this feature is? The information available on the internet is all over the place with the only commonality being that it is all wrong. 

The code was mostly completed as I have tried it from here. (OTP works but not PIN+OTP)

http://copr-fe.cloud.fedoraproject.org/coprs/abbra/freeipa-otp-unstable/

So I don't know if I should keep waiting for some thing that looks abandoned or if I should go buy a propriatary product instead.

Thanks

Comment 6 Martin Kosek 2014-06-09 07:28:49 UTC
OTP (and OTP UI) will be part of FreeIPA 4.0, which is planned to be released this summer. It will be part of Fedora 21, there will be also COPR repository for Fedora 20. Stay tuned.

Nathaniel, can we please get the feature page updated to match the reality?

Comment 7 Ben Cotton 2018-08-10 12:21:24 UTC
No activity on this bug or the change page since 2014. Will create a new isssue if the change page is revived.